FROM alpine:latest

RUN apk add --no-cache tzdata && \
    ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && \
    echo "Asia/Shanghai" > /etc/timezone

COPY robot/ /app/
RUN chmod 777 /app/server-robot

WORKDIR /app
CMD ["./server-robot"]